Skip to main content
`Ctrl`+`K`

# MatGetNullSpace

retrieves the null space of a matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetNullSpace(Mat mat, MatNullSpace *nullsp)

Logically Collective

## Input Parameters

- mat - the matrix

- nullsp - the null space object

## See Also

Matrices, `Mat`, `MatCreate()`, `MatNullSpaceCreate()`, `MatSetNearNullSpace()`, `MatSetNullSpace()`, `MatNullSpace`

## Level

developer

## Location

src/mat/interface/matrix.c

## Examples

src/ksp/ksp/tutorials/ex73.c
src/snes/tutorials/ex69.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages